Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplatePrintRectangle

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplatePrintElement
          net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement
              net.sf.jasperreports.engine.fill.JRTemplatePrintRectangle

All Implemented Interfaces:
  java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRCommonRectangle, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPrintRectangle, JRPropertiesHolder, JRStyleContainer

    public class JRTemplatePrintRectangle

extends JRTemplatePrintGraphicElement
implements JRPrintRectangle

Implementation of `JRPrintRectangle` that uses a `JRTemplateRectangle` instance to store common attributes.

Version:
  $Id: JRTemplatePrintRectangle.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`template`

Constructor Summary
`JRTemplatePrintRectangle(JRTemplateRectangle rectangle)` Creates a print rectangle element.

Method Summary
`
`<T> void`
` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
`java.lang.Integer` | `getOwnRadius()`
`int` | `getRadius()` Indicates the corner radius for rectangles with round corners.
`void` | `setRadius(int radius)` Sets the corner radius for rectangles with round corners.
`void` | `setRadius(java.lang.Integer radius)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement
`getDefaultLineColor, getDefaultLineWidth, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getTemplate, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setMode, setMode, setStyle, setTemplate, setWidth, setX, setY, updateElementTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement
`getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Constructor Detail

### JRTemplatePrintRectangle

    public JRTemplatePrintRectangle(JRTemplateRectangle rectangle)

  Creates a print rectangle element.

  Parameters:
    `rectangle` - the template rectangle that the element will use

Method Detail

### getRadius

    public int getRadius()

  Description copied from interface: `JRCommonRectangle`
  Indicates the corner radius for rectangles with round corners. The default is 0.

  Specified by:
    `getRadius` in interface `JRCommonRectangle`

### getOwnRadius

    public java.lang.Integer getOwnRadius()

  Specified by:
    `getOwnRadius` in interface `JRCommonRectangle`

### setRadius

    public void setRadius(int radius)

  Description copied from interface: `JRCommonRectangle`
  Sets the corner radius for rectangles with round corners.

  Specified by:
    `setRadius` in interface `JRCommonRectangle`
  Specified by:
    `setRadius` in interface `JRPrintRectangle`

### setRadius

    public void setRadius(java.lang.Integer radius)

  Specified by:
    `setRadius` in interface `JRCommonRectangle`
  Specified by:
    `setRadius` in interface `JRPrintRectangle`

### accept

    public <T> void accept(PrintElementVisitor<T> visitor,
                           T arg)

  Description copied from interface: `JRPrintElement`
  Accepts a print element visitor.

  The element calls the method that corresponds to the element type on the visitor.

  Specified by:
    `accept` in interface `JRPrintElement`
  Overrides:
    `accept` in class `JRTemplatePrintElement`
  Type Parameters:
    `T` - the type of the argument passed to the visit operation
  Parameters:
    `visitor` - the visitor objects
    `arg` - the argument passed to the visit operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com